import { create } from 'zustand';
import { ChatProps } from 'src/screens/InAppScreens/MessagesScreen/types';

interface ChatStore {
  selectedChat: ChatProps | null;
  setSelectedChat: (chat: ChatProps | null) => void;
  isWarningModalVisible: boolean;
  setIsWarningModalVisible: (value: boolean) => void;
}

export const useChatStore = create<ChatStore>((set) => ({
  selectedChat: null,
  setSelectedChat: (chat) => set({ selectedChat: chat }),
  isWarningModalVisible: false,
  setIsWarningModalVisible: (value) => set({ isWarningModalVisible: value })
}));
